Debian Bug report logs - #374405
Incompatible with full URL HTTP requests from recent apt versions

version graph

Package: apt-proxy; Maintainer for apt-proxy is (unknown);

Reported by: "Михаил Лукьянченко" <uptimebox@gmail.com>

Date: Mon, 19 Jun 2006 09:33:34 UTC

Severity: important

Tags: patch

Merged with 374815

Found in versions apt-proxy/1.9.29, apt-proxy/1.9.33-0.1

Fixed in version apt-proxy/1.9.34

Done: Chris Halls <halls@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#374405; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to "Михаил Лукьянченко" <uptimebox@gmail.com>:
New Bug report received and forwarded. Copy sent to Otavio Salvador <otavio@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Михаил Лукьянченко" <uptimebox@gmail.com>
To: submit@bugs.debian.org
Subject: Incompatible with full URL HTTP requests from recent apt versions
Date: Mon, 19 Jun 2006 13:12:36 +0400
Package: apt-proxy
Version: 1.9.29

I have also checked v. 1.9.33 from "testing" with the same result.

When I try to update client PC with recent APT version (0.6.43)
apt-get update waits (forever) while there are some inputs in the log.

The bug is described here:
https://launchpad.net/distros/ubuntu/+source/apt-proxy/+bug/46776
Patch provided and confirmed to be working.

Syslog messages:
-- cut --
2006/06/19 13:01 MSD [Channel,0,192.168.0.118] Unhandled error in Deferred:
2006/06/19 13:01 MSD [Channel,0,192.168.0.118] Traceback (most recent
call last):
         File "/usr/lib/python2.3/site-packages/twisted/protocols/http.py",
line 557, in requestReceived
           self.process()
         File "/usr/lib/python2.3/site-packages/apt_proxy/apt_proxy.py",
line 1400, in process
           self.fetch()
         File "/usr/lib/python2.3/site-packages/apt_proxy/apt_proxy.py",
line 1482, in fetch
           (dummyFetcher, 0, running,), None)
         File "/usr/lib/python2.3/site-packages/twisted/internet/defer.py",
line 205, in addCallbacks
           self._runCallbacks()
       --- <exception caught here> ---
         File "/usr/lib/python2.3/site-packages/twisted/internet/defer.py",
line 338, in _runCallbacks
           self.result = callback(self.result, *args, **kw)
         File "/usr/lib/python2.3/site-packages/apt_proxy/apt_proxy.py",
line 1451, in fetch_real
           fetcher = dummyFetcher.apEndTransfer(fetcher_class)
         File "/usr/lib/python2.3/site-packages/apt_proxy/apt_proxy.py",
line 463, in apEndTransfer
           fetcher = fetcher_class(req)
         File "/usr/lib/python2.3/site-packages/apt_proxy/apt_proxy.py",
line 317, in __init__
           self.activate(request)
         File "/usr/lib/python2.3/site-packages/apt_proxy/apt_proxy.py",
line 616, in activate
           ClientFactory(self), request.backend.config.timeout)
         File "/usr/lib/python2.3/site-packages/twisted/internet/default.py",
line 289, in connectTCP
           c = tcp.Connector(host, port, factory, timeout, bindAddress, self)
         File "/usr/lib/python2.3/site-packages/twisted/internet/tcp.py",
line 708, in __init__
           raise error.ServiceNameUnknownError(string=str(e))
       twisted.internet.error.ServiceNameUnknownError: Service name
given as port is unknown: service/proto not found.
-- cut --



Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#374405; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to joseparrella@cantv.net:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. Full text and rfc822 format available.

Message #10 received at 374405@bugs.debian.org (full text, mbox):

From: José Parrella <joseparrella@cantv.net>
To: 374405@bugs.debian.org, control@bugs.debian.org
Subject: Confirmed in 1.9.29, Ubuntu patch
Date: Mon, 24 Jul 2006 12:44:51 -0400
tags 374405 + patch
thank you

Please apply the patch from Ubuntu in [1] which solves this problem.
Users from Ubuntu using a Debian Sarge or Ubuntu Dapper based apt-proxy
can't use it at all. The patch works in the Sarge version, and I haven't
tried the Sid version. If the patch is there, please close this bug.

Thank you very much,
Jose

[1] http://librarian.launchpad.net/3009153/apt-proxy-fix.diff

-- 
José M. Parrella -> Debian Sid, k2.6.17.4
Escuela de Ingenieria Electrica
Universidad Central de Venezuela -> ucvlug.info



Tags added: patch Request was from José Parrella <joseparrella@cantv.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#374405; Package apt-proxy. Full text and rfc822 format available.

Acknowledgement sent to Matthew Palmer <mpalmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. Full text and rfc822 format available.

Message #17 received at 374405@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: 374405@bugs.debian.org
Cc: control@bugs.debian.org
Subject: apt-proxy: upgrade bug
Date: Sat, 29 Jul 2006 19:15:45 +1000
severity 374405 important
thanks

I really think this bug deserves a higher priority -- it already makes the
package unuseable for sites which have Etch and Ubuntu Dapper workstations,
and that situation is only going to get more common.  If this bug gets
released with Etch, then we'll have a real problem.

I can confirm that the patch mentioned earlier does work perfectly, with no
observed side effects.

- Matt



Severity set to `important' from `normal' Request was from Matthew Palmer <mpalmer@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 374405 374815. Request was from Chris Halls <halls@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Chris Halls <halls@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Chris Halls <halls@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Михаил Лукьянченко" <uptimebox@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 374405-close@bugs.debian.org (full text, mbox):

From: Chris Halls <halls@debian.org>
To: 374405-close@bugs.debian.org
Subject: Bug#374405: fixed in apt-proxy 1.9.34
Date: Mon, 07 Aug 2006 11:17:12 -0700
Source: apt-proxy
Source-Version: 1.9.34

We believe that the bug you reported is fixed in the latest version of
apt-proxy, which is due to be installed in the Debian FTP archive:

apt-proxy_1.9.34.dsc
  to pool/main/a/apt-proxy/apt-proxy_1.9.34.dsc
apt-proxy_1.9.34.tar.gz
  to pool/main/a/apt-proxy/apt-proxy_1.9.34.tar.gz
apt-proxy_1.9.34_all.deb
  to pool/main/a/apt-proxy/apt-proxy_1.9.34_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 374405@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Halls <halls@debian.org> (supplier of updated apt-proxy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  7 Aug 2006 18:54:56 +0100
Source: apt-proxy
Binary: apt-proxy
Architecture: source all
Version: 1.9.34
Distribution: unstable
Urgency: low
Maintainer: Chris Halls <halls@debian.org>
Changed-By: Chris Halls <halls@debian.org>
Description: 
 apt-proxy  - Debian archive proxy and partial mirror builder
Closes: 141312 259011 261802 272206 304611 306095 312969 323147 327239 328983 329764 329935 336433 337966 359798 359805 374405 375677 377322
Changes: 
 apt-proxy (1.9.34) unstable; urgency=low
 .
   * Acknowledge NMU by Luk Claes, thanks! (Closes: #359798)
 .
   * Change maintainer to myself and add Otavio to Uploaders, at
     Otavio's request. Thanks Otavio for all your work.
 .
   * Caching behaviour changes:
     - Reorganise download process to be more logical, fixing several problems
       (Closes: #329764)
     - Recognise apt package diff files (*.diff/Index). Thanks
       Florian Weimer for the patch (Closes: #336433)
     - Remove http scheme, host and port from URL requested by clients
       (Closes: #374405)
     - Add download queueing mechanism. Clients can now use HTTP pipelining to
       request files, and each file will be queued at the corresponding backend.
       Each separate apt client connection generates a connection to the
       backend. (Closes: #261802)
     - HTTP pipelining now works and is enabled by default
       (Closes: #272206, #141312)
 .
   * Code reorganisation:
     - Fix breakage caused by new twisted (Closes: #375677)
     - Move fetchers and cache management into separate files
     - Add more unit tests
     - Fix shutdown code (Closes: #359805)
 .
   * apt-proxy.conf:
     - http_proxy can now be set in each [backend] section
     - Add support for username and password in http_proxy parameter.
       Thanks to Thomas Champagne for the patch (Closes: #323147, #327239)
     - Add bandwidth_limit configuration parameter to limit download
       rates (Closes: #306095, #259011)
     - Add support for rsync port specification
     - Give a meaningful error message if an empty time is given in the
       configuration file (Closes: #304611)
 .
   * Packaging changes:
     - Always check cache directory and logfile permissions when package
       is installed, thanks Ben Hutchings for the patch (Closes: #312969)
     - Add debhelper to Build-Depends, needed for dh_clean in clean target
     - Remove reference to v1 in description (Closes: #337966)
     - Support updated Python policy, thanks Matthias Klose. (Closes: #377322)
     - Standards-Version 3.7.2 (no changes necessary)
 .
   * Documentation updates:
     - Remove obsolete debian/TODO from source package
     - Update doc/TODO, removing fixed items
     - Remove references to -i parameter in apt-proxy.conf manpage.
       (Closes: #328983)
     - In example apt-proxy.conf, remove references to non-US archive
       (Closes: #329935)
Files: 
 c96271e49b0896d68881e15c1082db3d 725 admin extra apt-proxy_1.9.34.dsc
 4a46b54d0086a617e678a92a528699f5 99592 admin extra apt-proxy_1.9.34.tar.gz
 3e85926229304709d0dc561de577fa90 76116 admin extra apt-proxy_1.9.34_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFE13+IexmdExmX588RAtJHAKC2L/NJEuE2RYbQF8E967GO0D47PACgvtHw
6EKf9Hw6r3edx6zlJuIrraY=
=TUHz
-----END PGP SIGNATURE-----




Reply sent to Chris Halls <halls@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Roger Lucas" <roger@planbit.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 10:58:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:58:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.